Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlStreamReader.TokenType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xml.QXmlStreamReader.TokenType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QXmlStreamReader

    public static final class QXmlStreamReader.TokenType

extends java.lang.Enum
implements QtEnumerator

This enum specifies the type of token the reader just read.

See Also:
  Serialized Form

Field Summary
`static QXmlStreamReader.TokenType` | `Characters` The reader reports characters in `text()`.
`static QXmlStreamReader.TokenType` | `Comment` The reader reports a comment in `text()`.
`static QXmlStreamReader.TokenType` | `DTD` The reader reports a DTD in `text()`, notation declarations in `notationDeclarations()`, and entity declarations in `entityDeclarations()`.
`static QXmlStreamReader.TokenType` | `EndDocument` The reader reports the end of the document.
`static QXmlStreamReader.TokenType` | `EndElement` The reader reports the end of an element with `namespaceUri()` and `name()`.
`static QXmlStreamReader.TokenType` | `EntityReference` The reader reports an entity reference that could not be resolved.
`static QXmlStreamReader.TokenType` | `Invalid` An error has occurred, reported in `error()` and `errorString()`.
`static QXmlStreamReader.TokenType` | `NoToken` The reader has not yet read anything.
`static QXmlStreamReader.TokenType` | `ProcessingInstruction` The reader reports a processing instruction in `processingInstructionTarget()` and `processingInstructionData()`.
`static QXmlStreamReader.TokenType` | `StartDocument` The reader reports the XML version number in `documentVersion()`, and the encoding as specified in the XML document in `documentEncoding()`.
`static QXmlStreamReader.TokenType` | `StartElement` The reader reports the start of an element with `namespaceUri()` and `name()`.

Method Summary
`static QXmlStreamReader.TokenType` | `resolve(int value)` Returns the TokenType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QXmlStreamReader.TokenType` | `valueOf(java.lang.String name)`
`static QXmlStreamReader.TokenType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoToken

    public static final QXmlStreamReader.TokenType NoToken

  The reader has not yet read anything.

### Invalid

    public static final QXmlStreamReader.TokenType Invalid

  An error has occurred, reported in `error()` and `errorString()`.

### StartDocument

    public static final QXmlStreamReader.TokenType StartDocument

  The reader reports the XML version number in `documentVersion()`, and the encoding as specified in the XML document in `documentEncoding()`. If the document is declared standalone, `isStandaloneDocument()` returns true; otherwise it returns false.

### EndDocument

    public static final QXmlStreamReader.TokenType EndDocument

  The reader reports the end of the document.

### StartElement

    public static final QXmlStreamReader.TokenType StartElement

  The reader reports the start of an element with `namespaceUri()` and `name()`. Empty elements are also reported as `StartElement` , followed directly by `EndElement` . The convenience function `readElementText()` can be called to concatenate all content until the corresponding `EndElement` . Attributes are reported in `attributes()`, namespace declarations in `namespaceDeclarations()`.

### EndElement

    public static final QXmlStreamReader.TokenType EndElement

  The reader reports the end of an element with `namespaceUri()` and `name()`.

### Characters

    public static final QXmlStreamReader.TokenType Characters

  The reader reports characters in `text()`. If the characters are all white-space, `isWhitespace()` returns true. If the characters stem from a CDATA section, `isCDATA()` returns true.

### Comment

    public static final QXmlStreamReader.TokenType Comment

  The reader reports a comment in `text()`.

### DTD

    public static final QXmlStreamReader.TokenType DTD

  The reader reports a DTD in `text()`, notation declarations in `notationDeclarations()`, and entity declarations in `entityDeclarations()`. Details of the DTD declaration are reported in in `dtdName()`, `dtdPublicId()`, and `dtdSystemId()`.

### EntityReference

    public static final QXmlStreamReader.TokenType EntityReference

  The reader reports an entity reference that could not be resolved. The name of the reference is reported in `name()`, the replacement text in `text()`.

### ProcessingInstruction

    public static final QXmlStreamReader.TokenType ProcessingInstruction

  The reader reports a processing instruction in `processingInstructionTarget()` and `processingInstructionData()`.

Method Detail

### values

    public static QXmlStreamReader.TokenType[] values()

### valueOf

    public static QXmlStreamReader.TokenType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QXmlStreamReader.TokenType resolve(int value)

  Returns the TokenType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD